# Create receipt From Tool (like Sage) Can be create with specific status (draft, validated) Endpoint: POST /api/tenant/{tenantId_path}/receipts/CreateReceiptFromTool Version: v1 ## Path parameters: - `tenantId_path` (string, required) ## Request fields (application/json-patch+json): - `comment` (string,null) - `label` (string) - `paymentMethod` (integer) Enum: 1, 2, 3 - `paymentReference` (string,null) - `settledOn` (string) - `validatedAt` (string,null) - `renterId` (string) - `suspenseAccountLineAmount` (number,null) - `items` (array) - `items.leaseId` (string,null) - `items.invoiceId` (string,null) - `items.invoiceLineId` (string,null) - `items.externalBalanceRecoveryId` (string,null) - `items.externalBalanceRecoveryLineId` (string,null) - `items.amount` (number) ## Response 200 fields (text/plain): - `response` (object,null) - `response.id` (string) - `errors` (array) - `isFailure` (boolean) - `isSuccess` (boolean) ## Response 400 fields (text/plain): - `response` (object,null) - `response.id` (string) - `errors` (array) - `isFailure` (boolean) - `isSuccess` (boolean) ## Response 403 fields (text/plain): - `response` (object,null) - `response.id` (string) - `errors` (array) - `isFailure` (boolean) - `isSuccess` (boolean) ## Response 404 fields (text/plain): - `response` (object,null) - `response.id` (string) - `errors` (array) - `isFailure` (boolean) - `isSuccess` (boolean) ## Response 422 fields (text/plain): - `response` (object,null) - `response.id` (string) - `errors` (array) - `isFailure` (boolean) - `isSuccess` (boolean)